<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('media', function (Blueprint $table) {
            $table->id();
            $table->foreignId('directory_id')->nullable()->constrained('directories')->cascadeOnDelete();
            $table->string('name');
            $table->integer('size');
            $table->string('handle');
            $table->string('disk')->default('public');
            $table->string('path');
            $table->string('extension')->nullable();
            $table->string('hash')->nullable();
            $table->string('type')->nullable();
            $table->string('collection')->nullable();
            $table->integer('visible')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('media');
    }
};
